> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Update a data frame

PATCH https://{tenant_name}.benchling.com/api/v2-beta/data-frames/{data_frame_id}
Content-Type: application/json

Update a data frame.

After uploading a `.csv` data drame file to S3, call this endpoint to mark the upload status as `IN_PROGRESS`
to launch a [long-running task](#/Tasks/getTask) to validate and transform the raw `.csv` file into a
data frame. Once complete, the data frame's status will either be updated to `SUCCEEDED` or `FAILED_VALIDATION`.

For more details on how we process and validate data frames, [click here](https://docs.benchling.com/docs/datasets-ingestion-reference).

See [Create a data frame](#/Data%20Frames/createDataFrame) for documentation of the full upload flow.


Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/data-frames/patch-data-frame

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `data_frame_id` (string, required) — The ID of the data frame

### Body (application/json)

This endpoint expects a DataFrameUpdate.

- `uploadStatus` (enum, optional)
  - Allowed values: `IN_PROGRESS`

## Response

### 202

This endpoint launches a [long-running task](#/Tasks/getTask) and returns the Task ID of the launched task. When successful, the task returns the [DataFrame](#/components/schemas/DataFrame) resource for the related data frame.

- `taskId` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 403 Forbidden Error

Forbidden

- `error` (ForbiddenErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ForbiddenErrorError

- `invalidId` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "taskId": "task_b2ZtLWZha2UtZGVwbG95LWhlbGxvX3dvcmxkOm9mbS1mYWtlLWRlcGxveS1oZWxsb193b3JsZC1zZXEtMTIzNDU2Nzg="
}
```

**SDK Code**

```python Data Frames_patchDataFrame_example
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/data-frames/dset_LlDFupKyErxx"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Data Frames_patchDataFrame_example
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/data-frames/dset_LlDFupKyErxx';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```